//
//  TVSWindowController.h
//  TableViewSpliter
//
//  Created by narita on 2016/07/28.
//  Copyright © 2016年 narita. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface TVSWindowController : NSWindowController

#pragma mark -
#pragma mark class methods

#pragma mark -
#pragma mark init methods

#pragma mark -
#pragma mark dealloc

#pragma mark -
#pragma mark NSCopying, hash, isEqual:

#pragma mark -
#pragma mark NSCoding methods

#pragma mark -
#pragma mark awakeFromNib-like methods

#pragma mark -
#pragma mark action methods

#pragma mark -
#pragma mark delegate/datasource methods

#pragma mark -
#pragma mark accessor methods (in pairs)

#pragma mark -
#pragma mark Utility methods

/*!
 @method     windowTitleForDocumentDisplayName
 @abstract   ウインドウの増減時にタイトル文字列に番号を付けたタイトルを返す
 @discussion documentから自分自身のindexを取得しウインドウタイトルを作成する
 ex. fineName -> fileName:(1) , fileName:(2) ....
 
 */

- (NSString *) windowTitleForDocumentDisplayName: (NSString *)displayName;

@end
