//
//  TVSWindowController.m
//  TableViewSpliter
//
//  Created by narita on 2016/07/28.
//  Copyright © 2016年 narita. All rights reserved.
//

#import "TVSWindowController.h"

@interface TVSWindowController ()

@end

@implementation TVSWindowController

#pragma mark -
#pragma mark class methods

#pragma mark -
#pragma mark init methods

#pragma mark -
#pragma mark dealloc

#pragma mark -
#pragma mark NSCopying, hash, isEqual:

#pragma mark -
#pragma mark NSCoding methods

#pragma mark -
#pragma mark awakeFromNib-like methods

- (void)windowDidLoad
{
    [super windowDidLoad];
    
    // Implement this method to handle any initialization after your window controller's window has been loaded from its nib file.
}

#pragma mark -
#pragma mark action methods

#pragma mark -
#pragma mark delegate/datasource methods

#pragma mark -
#pragma mark accessor methods (in pairs)

#pragma mark -
#pragma mark Utility methods

- (NSString *) windowTitleForDocumentDisplayName: (NSString *)displayName
{
    if ([self document] != nil)
    {
        NSString*	theDisplayName;
        NSArray*	theWinCtrls;
        
        theDisplayName = [[self document] displayName];
        theWinCtrls = [[self document] windowControllers];
        
        if([theWinCtrls count] > 1)
        {
            NSUInteger theIndex;
            NSString*  theResult;
            
            //	NSArrayのindexが０から始まるため+1する
            theIndex = [theWinCtrls indexOfObject:self] + 1;
            
            theResult = [NSString stringWithFormat:@"%@:(%@)", theDisplayName, @(theIndex)];
                        
            return theResult;
        }
        else
        {
            return [super windowTitleForDocumentDisplayName:displayName];
        }
    }
    else
    {
        return [super windowTitleForDocumentDisplayName:displayName];
    }
}

@end
